public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-arch/pdv/
Date: Thu,  1 Mar 2018 18:28:08 +0000 (UTC)	[thread overview]
Message-ID: <1519928883.cf45683b1d89e0cacc023eb13c0cccdb0c9248b6.pacho@gentoo> (raw)

commit:     cf45683b1d89e0cacc023eb13c0cccdb0c9248b6
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  1 18:25:58 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Mar  1 18:28:03 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf45683b

app-arch/pdv: x11-libs/libXp is not really needed

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-arch/pdv/pdv-1.5.1-r3.ebuild | 60 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

diff --git a/app-arch/pdv/pdv-1.5.1-r3.ebuild b/app-arch/pdv/pdv-1.5.1-r3.ebuild
new file mode 100644
index 00000000000..c865fa96798
--- /dev/null
+++ b/app-arch/pdv/pdv-1.5.1-r3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools toolchain-funcs
+
+DESCRIPTION="build a self-extracting and self-installing binary package"
+HOMEPAGE="https://sourceforge.net/projects/pdv"
+SRC_URI="mirror://sourceforge/pdv/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~x86 ~x86-linux ~ppc-macos"
+IUSE="X"
+
+DEPEND="
+	X? (
+		>=x11-libs/motif-2.3:0
+		>=x11-libs/libX11-1.0.0
+		>=x11-libs/libXt-1.0.0
+		>=x11-libs/libXext-1.0.0 )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+	default
+
+	# fix a size-of-variable bug
+	eapply "${FILESDIR}"/${P}-opt.patch
+	# fix a free-before-use bug
+	eapply "${FILESDIR}"/${P}-early-free.patch
+	# fix a configure script bug
+	eapply "${FILESDIR}"/${P}-x-config.patch
+	# fix default args bug from assuming 'char' is signed
+	eapply "${FILESDIR}"/${P}-default-args.patch
+	# prevent pre-stripped binaries
+	eapply "${FILESDIR}"/${P}-no-strip.patch
+
+	# re-build configure script since patch was applied to configure.in
+	cd "${S}"/X11
+	mv configure.in configure.ac || die
+	eautoreconf
+	tc-export CC
+}
+
+src_configure() {
+	local myconf=""
+	use X || myconf="--without-x" # configure script is broken, cant use use_with
+	econf ${myconf}
+}
+
+src_install() {
+	dobin pdv pdvmkpkg
+	doman pdv.1 pdvmkpkg.1
+	if use X ; then
+		dobin X11/xmpdvmkpkg
+		doman xmpdvmkpkg.1
+	fi
+	dodoc AUTHORS ChangeLog NEWS README pdv.lsm
+}


             reply	other threads:[~2018-03-01 18:28 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-03-01 18:28 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-04-01 23:56 [gentoo-commits] repo/gentoo:master commit in: app-arch/pdv/ Matt Turner
2018-04-01 23:59 Matt Turner
2018-04-01 23:59 Matt Turner
2018-04-01 23:59 Matt Turner
2022-07-02 20:07 David Seifert
2023-12-30 16:57 Petr Vaněk

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1519928883.cf45683b1d89e0cacc023eb13c0cccdb0c9248b6.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox